<!doctype html>
<html class="no-js" lang="">
    <head>
        <meta charset="utf-8">
        <meta http-equiv="x-ua-compatible" content="ie=edge">
        <title>frontend documentation</title>
        <meta name="description" content="">
        <meta name="viewport" content="width=device-width, initial-scale=1">

        <link rel="icon" type="image/x-icon" href="../images/favicon.ico">
	      <link rel="stylesheet" href="../styles/style.css">
    </head>
    <body>

        <div class="navbar navbar-default navbar-fixed-top visible-xs">
            <a href="../" class="navbar-brand">frontend documentation</a>
            <button type="button" class="btn btn-default btn-menu ion-ios-menu" id="btn-menu"></button>
        </div>

        <div class="xs-menu menu" id="mobile-menu">
                <div id="book-search-input" role="search"><input type="text" placeholder="Type to search"></div>            <compodoc-menu></compodoc-menu>
        </div>

        <div class="container-fluid main">
           <div class="row main">
               <div class="hidden-xs menu">
                   <compodoc-menu mode="normal"></compodoc-menu>
               </div>
               <!-- START CONTENT -->
               <div class="content module">
                   <div class="content-data">



<ol class="breadcrumb">
    <li>Modules</li>
    <li>CoreModule</li>
</ol>

<div class="text-center module-graph-container">
    <div id="module-graph-svg">
        <?xml version="1.0" encoding="UTF-8" standalone="no"?>
<!DOCTYPE svg PUBLIC "-//W3C//DTD SVG 1.1//EN"
 "http://www.w3.org/Graphics/SVG/1.1/DTD/svg11.dtd">
<!-- Generated by graphviz version 2.40.1 (20161225.0304)
 -->
<!-- Title: dependencies Pages: 1 -->
<svg width="2945pt" height="211pt"
 viewBox="0.00 0.00 2945.00 211.00" xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink">
<g id="graph0" class="graph" transform="scale(1 1) rotate(0) translate(4 207)">
<title>dependencies</title>
<polygon fill="#ffffff" stroke="transparent" points="-4,4 -4,-207 2941,-207 2941,4 -4,4"/>
<text text-anchor="start" x="1447.5091" y="-42.4" font-family="sans-serif" font-weight="bold" font-size="14.00" fill="#000000">Legend</text>
<polygon fill="#ffffb3" stroke="transparent" points="1234.5,-10 1234.5,-30 1254.5,-30 1254.5,-10 1234.5,-10"/>
<text text-anchor="start" x="1258.129" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Declarations</text>
<polygon fill="#8dd3c7" stroke="transparent" points="1347.5,-10 1347.5,-30 1367.5,-30 1367.5,-10 1347.5,-10"/>
<text text-anchor="start" x="1371.2251" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Module</text>
<polygon fill="#80b1d3" stroke="transparent" points="1433.5,-10 1433.5,-30 1453.5,-30 1453.5,-10 1433.5,-10"/>
<text text-anchor="start" x="1457.2812" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Bootstrap</text>
<polygon fill="#fdb462" stroke="transparent" points="1530.5,-10 1530.5,-30 1550.5,-30 1550.5,-10 1530.5,-10"/>
<text text-anchor="start" x="1554.1732" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Providers</text>
<polygon fill="#fb8072" stroke="transparent" points="1626.5,-10 1626.5,-30 1646.5,-30 1646.5,-10 1626.5,-10"/>
<text text-anchor="start" x="1650.2258" y="-15.4" font-family="sans-serif" font-size="14.00" fill="#000000"> &#160;Exports</text>
<g id="clust1" class="cluster">
<title>cluster_CoreModule</title>
<polygon fill="none" stroke="#000000" stroke-dasharray="1,5" points="8,-70 8,-195 2929,-195 2929,-70 8,-70"/>
</g>
<g id="clust2" class="cluster">
<title>cluster_CoreModule_declarations</title>
<polygon fill="none" stroke="#000000" points="2371,-78 2371,-130 2921,-130 2921,-78 2371,-78"/>
</g>
<g id="clust9" class="cluster">
<title>cluster_CoreModule_providers</title>
<polygon fill="none" stroke="#000000" points="16,-78 16,-130 2363,-130 2363,-78 16,-78"/>
</g>
<!-- BusinessErrorDialogComponent -->
<g id="node1" class="node">
<title>BusinessErrorDialogComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2913.245,-122 2714.755,-122 2714.755,-86 2913.245,-86 2913.245,-122"/>
<text text-anchor="middle" x="2814" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">BusinessErrorDialogComponent</text>
</g>
<!-- CoreModule -->
<g id="node4" class="node">
<title>CoreModule</title>
<polygon fill="#8dd3c7" stroke="#000000" points="1463.2619,-187 1460.2619,-191 1439.2619,-191 1436.2619,-187 1376.7381,-187 1376.7381,-151 1463.2619,-151 1463.2619,-187"/>
<text text-anchor="middle" x="1420" y="-164.8" font-family="Times,serif" font-size="14.00" fill="#000000">CoreModule</text>
</g>
<!-- BusinessErrorDialogComponent&#45;&gt;CoreModule -->
<g id="edge1" class="edge">
<title>BusinessErrorDialogComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M2814,-122.3228C2814,-145.6602 2814,-183 2814,-183 2814,-183 1473.6343,-183 1473.6343,-183"/>
<polygon fill="#000000" stroke="#000000" points="1473.6344,-179.5001 1463.6343,-183 1473.6343,-186.5001 1473.6344,-179.5001"/>
</g>
<!-- TechnicalErrorDialogComponent -->
<g id="node2" class="node">
<title>TechnicalErrorDialogComponent</title>
<polygon fill="#ffffb3" stroke="#000000" points="2697.1615,-122 2492.8385,-122 2492.8385,-86 2697.1615,-86 2697.1615,-122"/>
<text text-anchor="middle" x="2595" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">TechnicalErrorDialogComponent</text>
</g>
<!-- TechnicalErrorDialogComponent&#45;&gt;CoreModule -->
<g id="edge2" class="edge">
<title>TechnicalErrorDialogComponent&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M2595,-122.2921C2595,-144.2057 2595,-178 2595,-178 2595,-178 1473.564,-178 1473.564,-178"/>
<polygon fill="#000000" stroke="#000000" points="1473.564,-174.5001 1463.564,-178 1473.564,-181.5001 1473.564,-174.5001"/>
</g>
<!-- WaitingCover -->
<g id="node3" class="node">
<title>WaitingCover</title>
<polygon fill="#ffffb3" stroke="#000000" points="2474.8133,-122 2379.1867,-122 2379.1867,-86 2474.8133,-86 2474.8133,-122"/>
<text text-anchor="middle" x="2427" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">WaitingCover</text>
</g>
<!-- WaitingCover&#45;&gt;CoreModule -->
<g id="edge3" class="edge">
<title>WaitingCover&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M2427,-122.0267C2427,-142.7672 2427,-174 2427,-174 2427,-174 1473.2695,-174 1473.2695,-174"/>
<polygon fill="#000000" stroke="#000000" points="1473.2696,-170.5001 1463.2695,-174 1473.2695,-177.5001 1473.2696,-170.5001"/>
</g>
<!-- AuthenticationInterceptor -->
<g id="node5" class="node">
<title>AuthenticationInterceptor</title>
<ellipse fill="#fdb462" stroke="#000000" cx="2244" cy="-104" rx="110.5724" ry="18"/>
<text text-anchor="middle" x="2244" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">AuthenticationInterceptor</text>
</g>
<!-- AuthenticationInterceptor&#45;&gt;CoreModule -->
<g id="edge4" class="edge">
<title>AuthenticationInterceptor&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M2244,-122.1061C2244,-141.3391 2244,-169 2244,-169 2244,-169 1473.4304,-169 1473.4304,-169"/>
<polygon fill="#000000" stroke="#000000" points="1473.4305,-165.5001 1463.4304,-169 1473.4304,-172.5001 1473.4305,-165.5001"/>
</g>
<!-- AuthorizationService -->
<g id="node6" class="node">
<title>AuthorizationService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="2022" cy="-104" rx="93.7572" ry="18"/>
<text text-anchor="middle" x="2022" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">AuthorizationService</text>
</g>
<!-- AuthorizationService&#45;&gt;CoreModule -->
<g id="edge5" class="edge">
<title>AuthorizationService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M2022,-122.302C2022,-140.2699 2022,-165 2022,-165 2022,-165 1473.2944,-165 1473.2944,-165"/>
<polygon fill="#000000" stroke="#000000" points="1473.2944,-161.5001 1463.2944,-165 1473.2943,-168.5001 1473.2944,-161.5001"/>
</g>
<!-- BaseUrlService -->
<g id="node7" class="node">
<title>BaseUrlService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1839" cy="-104" rx="71.7621" ry="18"/>
<text text-anchor="middle" x="1839" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">BaseUrlService</text>
</g>
<!-- BaseUrlService&#45;&gt;CoreModule -->
<g id="edge6" class="edge">
<title>BaseUrlService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M1839,-122.027C1839,-138.3976 1839,-160 1839,-160 1839,-160 1473.2622,-160 1473.2622,-160"/>
<polygon fill="#000000" stroke="#000000" points="1473.2622,-156.5001 1463.2622,-160 1473.2622,-163.5001 1473.2622,-156.5001"/>
</g>
<!-- DateInterceptor -->
<g id="node8" class="node">
<title>DateInterceptor</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1678" cy="-104" rx="71.7447" ry="18"/>
<text text-anchor="middle" x="1678" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DateInterceptor</text>
</g>
<!-- DateInterceptor&#45;&gt;CoreModule -->
<g id="edge7" class="edge">
<title>DateInterceptor&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M1678,-122.1871C1678,-137.1824 1678,-156 1678,-156 1678,-156 1473.4744,-156 1473.4744,-156"/>
<polygon fill="#000000" stroke="#000000" points="1473.4745,-152.5001 1463.4744,-156 1473.4744,-159.5001 1473.4745,-152.5001"/>
</g>
<!-- DictionaryService -->
<g id="node9" class="node">
<title>DictionaryService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1507" cy="-104" rx="81.0763" ry="18"/>
<text text-anchor="middle" x="1507" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">DictionaryService</text>
</g>
<!-- DictionaryService&#45;&gt;CoreModule -->
<g id="edge8" class="edge">
<title>DictionaryService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M1444.5465,-115.6207C1444.5465,-115.6207 1444.5465,-140.8534 1444.5465,-140.8534"/>
<polygon fill="#000000" stroke="#000000" points="1441.0466,-140.8533 1444.5465,-150.8534 1448.0466,-140.8534 1441.0466,-140.8533"/>
</g>
<!-- ErrorInterceptor -->
<g id="node10" class="node">
<title>ErrorInterceptor</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1334" cy="-104" rx="73.5329" ry="18"/>
<text text-anchor="middle" x="1334" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">ErrorInterceptor</text>
</g>
<!-- ErrorInterceptor&#45;&gt;CoreModule -->
<g id="edge9" class="edge">
<title>ErrorInterceptor&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M1392.1926,-115.3221C1392.1926,-115.3221 1392.1926,-140.9424 1392.1926,-140.9424"/>
<polygon fill="#000000" stroke="#000000" points="1388.6927,-140.9424 1392.1926,-150.9424 1395.6927,-140.9425 1388.6927,-140.9424"/>
</g>
<!-- FileService -->
<g id="node11" class="node">
<title>FileService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1187" cy="-104" rx="55.0285" ry="18"/>
<text text-anchor="middle" x="1187" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">FileService</text>
</g>
<!-- FileService&#45;&gt;CoreModule -->
<g id="edge10" class="edge">
<title>FileService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M1187,-122.1871C1187,-137.1824 1187,-156 1187,-156 1187,-156 1366.7205,-156 1366.7205,-156"/>
<polygon fill="#000000" stroke="#000000" points="1366.7206,-159.5001 1376.7205,-156 1366.7205,-152.5001 1366.7206,-159.5001"/>
</g>
<!-- HttpParameters -->
<g id="node12" class="node">
<title>HttpParameters</title>
<ellipse fill="#fdb462" stroke="#000000" cx="1043" cy="-104" rx="71.1998" ry="18"/>
<text text-anchor="middle" x="1043" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">HttpParameters</text>
</g>
<!-- HttpParameters&#45;&gt;CoreModule -->
<g id="edge11" class="edge">
<title>HttpParameters&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M1043,-122.027C1043,-138.3976 1043,-160 1043,-160 1043,-160 1366.385,-160 1366.385,-160"/>
<polygon fill="#000000" stroke="#000000" points="1366.385,-163.5001 1376.385,-160 1366.385,-156.5001 1366.385,-163.5001"/>
</g>
<!-- InProgressInterceptor -->
<g id="node13" class="node">
<title>InProgressInterceptor</title>
<ellipse fill="#fdb462" stroke="#000000" cx="859" cy="-104" rx="94.88" ry="18"/>
<text text-anchor="middle" x="859" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">InProgressInterceptor</text>
</g>
<!-- InProgressInterceptor&#45;&gt;CoreModule -->
<g id="edge12" class="edge">
<title>InProgressInterceptor&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M859,-122.302C859,-140.2699 859,-165 859,-165 859,-165 1366.4461,-165 1366.4461,-165"/>
<polygon fill="#000000" stroke="#000000" points="1366.4461,-168.5001 1376.4461,-165 1366.446,-161.5001 1366.4461,-168.5001"/>
</g>
<!-- NoCacheInterceptor -->
<g id="node14" class="node">
<title>NoCacheInterceptor</title>
<ellipse fill="#fdb462" stroke="#000000" cx="657" cy="-104" rx="89.1453" ry="18"/>
<text text-anchor="middle" x="657" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">NoCacheInterceptor</text>
</g>
<!-- NoCacheInterceptor&#45;&gt;CoreModule -->
<g id="edge13" class="edge">
<title>NoCacheInterceptor&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M657,-122.1061C657,-141.3391 657,-169 657,-169 657,-169 1366.5149,-169 1366.5149,-169"/>
<polygon fill="#000000" stroke="#000000" points="1366.5149,-172.5001 1376.5149,-169 1366.5149,-165.5001 1366.5149,-172.5001"/>
</g>
<!-- OperationService -->
<g id="node15" class="node">
<title>OperationService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="471" cy="-104" rx="78.7086" ry="18"/>
<text text-anchor="middle" x="471" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">OperationService</text>
</g>
<!-- OperationService&#45;&gt;CoreModule -->
<g id="edge14" class="edge">
<title>OperationService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M471,-122.0267C471,-142.7672 471,-174 471,-174 471,-174 1366.4447,-174 1366.4447,-174"/>
<polygon fill="#000000" stroke="#000000" points="1366.4448,-177.5001 1376.4447,-174 1366.4447,-170.5001 1366.4448,-177.5001"/>
</g>
<!-- RemoteLoggerService -->
<g id="node16" class="node">
<title>RemoteLoggerService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="276" cy="-104" rx="97.8324" ry="18"/>
<text text-anchor="middle" x="276" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">RemoteLoggerService</text>
</g>
<!-- RemoteLoggerService&#45;&gt;CoreModule -->
<g id="edge15" class="edge">
<title>RemoteLoggerService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M276,-122.2921C276,-144.2057 276,-178 276,-178 276,-178 1366.5508,-178 1366.5508,-178"/>
<polygon fill="#000000" stroke="#000000" points="1366.5508,-181.5001 1376.5508,-178 1366.5508,-174.5001 1366.5508,-181.5001"/>
</g>
<!-- UploadService -->
<g id="node17" class="node">
<title>UploadService</title>
<ellipse fill="#fdb462" stroke="#000000" cx="92" cy="-104" rx="68.3382" ry="18"/>
<text text-anchor="middle" x="92" y="-99.8" font-family="Times,serif" font-size="14.00" fill="#000000">UploadService</text>
</g>
<!-- UploadService&#45;&gt;CoreModule -->
<g id="edge16" class="edge">
<title>UploadService&#45;&gt;CoreModule</title>
<path fill="none" stroke="#000000" d="M92,-122.3228C92,-145.6602 92,-183 92,-183 92,-183 1366.5701,-183 1366.5701,-183"/>
<polygon fill="#000000" stroke="#000000" points="1366.5701,-186.5001 1376.5701,-183 1366.57,-179.5001 1366.5701,-186.5001"/>
</g>
</g>
</svg>

    </div>
    <i id="fullscreen" class="icon ion-ios-resize module-graph-fullscreen-btn" aria-hidden="true"></i>
    <div class="btn-group">
        <button id="zoom-in" class="btn btn-default btn-sm">Zoom in</button>
        <button id="reset" class="btn btn-default btn-sm">Reset</button>
        <button id="zoom-out" class="btn btn-default btn-sm">Zoom out</button>
    </div>
</div>
<script src="../js/libs/svg-pan-zoom.min.js"></script>
<script src="../js/svg-pan-zoom.controls.js"></script>

<ul class="nav nav-tabs" role="tablist">
    <li  class="active" >
        <a href="#info" role="tab" id="info-tab" data-toggle="tab" data-link="info">Info</a>
    </li>
    <li >
        <a href="#source" role="tab" id="source-tab" data-toggle="tab" data-link="source">Source</a>
    </li>
</ul>

<div class="tab-content">
    <div class="tab-pane fade active in" id="c-info">

        <p class="comment">
            <h3>File</h3>
        </p>
        <p class="comment">
            <code>src/app/core/core.module.ts</code>
        </p>




        <div class="container-fluid module">
            <div class="row">
                <div class="col-sm-3">
                    <h3>Declarations<a href="https://angular.io/api/core/NgModule#declarations" target="_blank"
                            title="Official documentation about module declarations"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/BusinessErrorDialogComponent.html">BusinessErrorDialogComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/TechnicalErrorDialogComponent.html">TechnicalErrorDialogComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/WaitingCover.html">WaitingCover</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>EntryComponents<a href="https://angular.io/api/core/NgModule#entryComponents" target="_blank"
                            title="Official documentation about module entryComponents"><span class="icon ion-ios-information-circle-outline"></span></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../components/BusinessErrorDialogComponent.html">BusinessErrorDialogComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/TechnicalErrorDialogComponent.html">TechnicalErrorDialogComponent</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../components/WaitingCover.html">WaitingCover</a>
                        </li>
                    </ul>
                </div>
                <div class="col-sm-3">
                    <h3>Providers<a href="https://angular.io/api/core/NgModule#providers" target="_blank"
                            title="Official documentation about module providers"><span class="icon ion-ios-information-circle-outline"></a></h3>
                    <ul class="list-group">
                        <li class="list-group-item">
                            <a href="../interceptors/AuthenticationInterceptor.html">AuthenticationInterceptor</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/AuthorizationService.html">AuthorizationService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/BaseUrlService.html">BaseUrlService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../interceptors/DateInterceptor.html">DateInterceptor</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/DictionaryService.html">DictionaryService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../interceptors/ErrorInterceptor.html">ErrorInterceptor</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/FileService.html">FileService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/HttpParameters.html">HttpParameters</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../interceptors/InProgressInterceptor.html">InProgressInterceptor</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../interceptors/NoCacheInterceptor.html">NoCacheInterceptor</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/OperationService.html">OperationService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/RemoteLoggerService.html">RemoteLoggerService</a>
                        </li>
                        <li class="list-group-item">
                            <a href="../injectables/UploadService.html">UploadService</a>
                        </li>
                    </ul>
                </div>
            </div>
        </div>


    </div>


    <div class="tab-pane fade  tab-source-code" id="c-source">
        <pre class="line-numbers compodoc-sourcecode"><code class="language-typescript">import { ErrorHandler, NgModule } from &quot;@angular/core&quot;;
import { CommonModule, DatePipe } from &quot;@angular/common&quot;;
import { BusinessErrorDialogComponent } from &quot;./business-error-dialog/business-error-dialog.component&quot;;
import { TechnicalErrorDialogComponent } from &quot;./technical-error-dialog/technical-error-dialog.component&quot;;
import { MatButtonModule, MatDialogModule, MatIconModule, MatProgressSpinnerModule } from &quot;@angular/material&quot;;
import { MissingTranslationHandler, TranslateLoader, TranslateModule } from &quot;@ngx-translate/core&quot;;
import { BOMissingTranslationHandler } from &quot;./bo-missing-translation-handler&quot;;
import { FlexLayoutModule } from &quot;@angular/flex-layout&quot;;
import { RemoteLoggerService } from &quot;./service/logger/remote.logger.service&quot;;
import { GlobalErrorHandler } from &quot;./error-handler/global.error-handler&quot;;
import { BaseUrlService } from &#x27;./service/base-url/base-url.service&#x27;;
import { UploadService } from &#x27;./service/upload/upload.service&#x27;;
import { OperationResolver } from &#x27;../operation/service/operation-resolver&#x27;;
import { OperationService } from &#x27;../operation/service/operation.service&#x27;;
import { FileService } from &#x27;./service/file-service/file-service&#x27;;
import { HTTP_INTERCEPTORS, HttpClientModule } from &#x27;@angular/common/http&#x27;;
import { HttpParameters } from &#x27;./service/http/http.parameters.service&#x27;;
import { InProgressInterceptor, WaitingCover } from &#x27;./service/http/InProgressInterceptor&#x27;;
import { Observable } from &#x27;rxjs/Observable&#x27;;
import { i18n } from &#x27;../i18n/i18n&#x27;;
import { AuthorizationGuard, AuthorizationService } from &#x27;./service/http/authorization.service&#x27;;
import { AuthenticationInterceptor } from &#x27;./service/http/authentication.interceptor&#x27;;
import { DateInterceptor } from &#x27;./service/http/DateInterceptor&#x27;;
import { ErrorInterceptor } from &#x27;./service/http/ErrorInterceptor&#x27;;
import { NoCacheInterceptor } from &#x27;./service/http/NoCacheInterceptor&#x27;;
import { of } from &#x27;rxjs/observable/of&#x27;;
import { ConfirmBeforeQuitGuard } from &#x27;./confirm-before-quit&#x27;;
import { DictionaryService } from &#x27;./service/dictionary.service&#x27;;


class ConstTranslateLoader extends TranslateLoader {
  constructor(private i18n: any) {
    super();
  }

  getTranslation(lang: string): Observable&lt;any&gt; {
    return of(this.i18n[lang]);
  }
}

@NgModule({
  imports: [
    MatDialogModule,
    MatIconModule,
    MatButtonModule,
    MatProgressSpinnerModule,
    CommonModule,
    FlexLayoutModule,
    HttpClientModule,
    TranslateModule.forRoot({
      loader: {
        provide: TranslateLoader,
        useValue: new ConstTranslateLoader(i18n),
      },
      missingTranslationHandler: {provide: MissingTranslationHandler, useClass: BOMissingTranslationHandler}
    })
  ],
  declarations: [TechnicalErrorDialogComponent, BusinessErrorDialogComponent, WaitingCover],
  entryComponents: [TechnicalErrorDialogComponent, BusinessErrorDialogComponent, WaitingCover],
  providers: [
    AuthorizationService,
    DatePipe,
    HttpParameters,
    DictionaryService,
    BaseUrlService,
    RemoteLoggerService,
    {provide: ErrorHandler, useClass: GlobalErrorHandler},
    UploadService,
    FileService,
    OperationResolver,
    OperationService,
    AuthorizationGuard,
    ConfirmBeforeQuitGuard,
    {provide: HTTP_INTERCEPTORS, useClass: DateInterceptor, multi: true},
    {provide: HTTP_INTERCEPTORS, useClass: ErrorInterceptor, multi: true},
    {provide: HTTP_INTERCEPTORS, useClass: NoCacheInterceptor, multi: true},
    {provide: HTTP_INTERCEPTORS, useClass: InProgressInterceptor, multi: true},
    {provide: HTTP_INTERCEPTORS, useClass: AuthenticationInterceptor, multi: true}
  ],

  exports: [HttpClientModule]
})
export class CoreModule {
}
</code></pre>
    </div>
</div>














                   </div><div class="search-results">
    <div class="has-results">
        <h1 class="search-results-title"><span class='search-results-count'></span> result-matching "<span class='search-query'></span>"</h1>
        <ul class="search-results-list"></ul>
    </div>
    <div class="no-results">
        <h1 class="search-results-title">No results matching "<span class='search-query'></span>"</h1>
    </div>
</div>
</div>
               <!-- END CONTENT -->
           </div>
       </div>

       <script>
            var COMPODOC_CURRENT_PAGE_DEPTH = 1;
            var COMPODOC_CURRENT_PAGE_CONTEXT = 'module';
            var COMPODOC_CURRENT_PAGE_URL = 'CoreModule.html';
       </script>

       <script src="../js/libs/custom-elements.min.js"></script>
       <script src="../js/libs/lit-html.js"></script>
       <!-- Required to polyfill modern browsers as code is ES5 for IE... -->
       <script src="../js/libs/custom-elements-es5-adapter.js" charset="utf-8" defer></script>
       <script src="../js/menu-wc.js" defer></script>

       <script src="../js/libs/bootstrap-native.js"></script>

       <script src="../js/libs/es6-shim.min.js"></script>
       <script src="../js/libs/EventDispatcher.js"></script>
       <script src="../js/libs/promise.min.js"></script>
       <script src="../js/libs/zepto.min.js"></script>

       <script src="../js/compodoc.js"></script>

       <script src="../js/tabs.js"></script>
       <script src="../js/menu.js"></script>
       <script src="../js/libs/clipboard.min.js"></script>
       <script src="../js/libs/prism.js"></script>
       <script src="../js/sourceCode.js"></script>
          <script src="../js/search/search.js"></script>
          <script src="../js/search/lunr.min.js"></script>
          <script src="../js/search/search-lunr.js"></script>
          <script src="../js/search/search_index.js"></script>
       <script src="../js/lazy-load-graphs.js"></script>


    </body>
</html>
